This is the binary distribution of NetHack 3.2.2.   NetHack is a fat binary,
so it should run on both 68K and PPC machines.  This package is freely
distributable, see the file license for details.

Read the Guidebook for a general description of what NetHack is and how to
play.  Unfortunately, the Guidebook is > 32K, so you will need something other
than SimpleText to view it.  Edit the file NetHack Defaults in this directory
to modify startup options.  Feel free to remove or rename News when you get
tired of seeing its message when you start up.

Due to the way the the archive is created and is unpacked, this file (README)
and the executable (NetHack) is lost in a sea of level (.lev) files.   When
you have unpacked the archive, it might be worthwhile to move the executable
to the top.

Mac-specific differences between 3.2.1 and 3.2.2:
€ NetHack 3.2.2 was compiled with CW10.  It still is compiled with 68K
alignment.  No one has had a chance to check if the bug in the PPC alignment
on the 68K has been fixed.
€ Recover really works this time (see below).
€ The official code release doesn't include some last-minute changes that were
made for the Mac binary release.  Changes are: (1) NetHack and Recover have
their version resource set to 3.2.2, (2) Recover won't work on a PPC Mac
unless a fix is made to mrecover.c.  All these changes are reflected in a
context diff given at the end of the file.

Mac-specific differences between 3.2.0 and 3.2.1:
€ The Recover executable has been included in the 3.2.1 release.  It has not
been tested.
€ All executables have been recompiled using 68K alignment instead of PPC
alignment.  This avoids a Metrowerks 68K compiler alignment bug.  This is
supposed to be fixed in DR10.
€ NetHack's minimum and preferred partition sizes have been increased to 2M and
2.5M respectively.


Known Mac-specific problems:
€ In window mode, no more than 52 items are listed in a menu window.
€ In the defaults file, using name:MyName-@ will always result in a tourist
instead of random.
€ In the defaults file, using name:Myname (no -<character>) will result in
nethack quitting immediately.
€ Save files start with  "save/."   Looks dumb, but no real effect.
€ When starting with a saved game, NetHack will still ask for starting
information.   Just hit OK and the saved game will be used.
€ It has been reported that NetHack will crash or cause another program to
crash  when put in the background/brought into foreground.  This has been
reported since version 3.0.x, but no NetHack developer has ever been able to
reproduce it.


Not implemented for on the Mac:
€ Tiles -- 16x16 colors icons in place of characters in the main screen.
€ Global or group accelerators (e.g. select all, select all potions
respectively) in menu windows.


Unix context diff to apply to the 3.2.2 sources to make the released code
match the binary release.  The paths may have to be fixed up before it can be
applied:

*** ./sys/mac/mrecover.c.ORIG	Sat Oct 26 13:55:26 1996
--- sys/mac/mrecover.c	Tue Jan  7 13:03:40 1997
***************
*** 216,221 ****
--- 216,222 ----
  long			dirID;					/* directory i.d. */
  NMUPP			nmCompletionUPP;		/* UPP for nmCompletion */
  FileFilterUPP	basenameFileFilterUPP;	/* UPP for basenameFileFilter */
+ UserItemUPP		drawThermoUPP;			/* UPP for progress callback */
  
  #define MAX_RECOVER_COUNT	256
  
***************
*** 287,292 ****
--- 288,294 ----
  	InitCursor();
  	nmCompletionUPP = NewNMProc(nmCompletion);
  	basenameFileFilterUPP = NewFileFilterProc(basenameFileFilter);
+ 	drawThermoUPP = NewUserItemProc(drawThermo);
  
  	/* get system environment, notification requires 6.0 or better */
  	(void) SysEnvirons(curSysEnvVers, &sysEnv);
***************
*** 934,940 ****
  	switch(itemMode)
  	{
  	case initItem:
! 		SetDItem(DLGTHM, uitmThermo, iTyp, (Handle) drawThermo, &iRct);
  		break;
  
  	case invalItem:
--- 936,942 ----
  	switch(itemMode)
  	{
  	case initItem:
! 		SetDItem(DLGTHM, uitmThermo, iTyp, (Handle) drawThermoUPP, &iRct);
  		break;
  
  	case invalItem:
*** ./sys/mac/mrecover.hqx.ORIG	Thu May 23 15:16:17 1996
--- sys/mac/mrecover.hqx	Tue Jan  7 12:06:48 1997
***************
*** 1,9 ****
  (This file must be converted with BinHex 4.0)
  
! :%QebC@0[GQ9b,R"bEfSZFR0bB`"bFh*M8P0&4!!!!!!!!!!!$)Gl5J!!!!!"!!!
! !#SJ!!!Q)!!!"r`!!Bk-+B80XDfPZDA3ZBi!#!!!!9%9B9%Y"5%`"!!!`%QebC@0
! [GQ9b,R"bEfSZFR0bBh)#!!)!FR0bBe*6483#!(*cFQ058d9%!3$rrrrr!!!!!!!
! !!!!!!!!!!!!!!*C[VC2TdJ!!!!!!!!b(!!!!!!!!!!!3!!!!Bk-+B80XDfa[Eh!
  ZBi!#!!!!9%9B9%Y"5%`"!!"J!'`!!!!!BkX!!!!!@,8!!&`!!!!!!!!!!!!!!+2
  V#E@P"lK(!!!!!(GT!!!!!!!!!!!!!!!!!!!!!$e9!"F!!!!!!!!!!!!!!!!!!!!
  !!!!!!!!!!!!!!!!!!#)!!3!!!!!!1!"Z!%`!jJ3#6dX!!!!!!!S!#J!U!8U)!Pi
--- 1,9 ----
  (This file must be converted with BinHex 4.0)
  
! :%QebC@0[GQ9b,R"bEfSZFR0bB`"bFh*M8P0&4!!!!!!!!!!!$(28d3!!!!!"!!!
! !#R3!!!Pd!!!"r`!!Bk-+B80XDfPZDA3ZBi!#!!!!9%9B9%Y"5%`"!!!`%QebC@0
! [GQ9b,R"bEfSZFR0bBh)#!!!!FR0bBe*6483!!(*cFQ058d9%!3!!d!#!!!!!!!!
! !!!!!!!!!!!!!!!!!VZQiGJ!!!!!!!!ac!!!!!!!!!!!3!!!!Bk-+B80XDfa[Eh!
  ZBi!#!!!!9%9B9%Y"5%`"!!"J!'`!!!!!BkX!!!!!@,8!!&`!!!!!!!!!!!!!!+2
  V#E@P"lK(!!!!!(GT!!!!!!!!!!!!!!!!!!!!!$e9!"F!!!!!!!!!!!!!!!!!!!!
  !!!!!!!!!!!!!!!!!!#)!!3!!!!!!1!"Z!%`!jJ3#6dX!!!!!!!S!#J!U!8U)!Pi
***************
*** 54,70 ****
  $`!IJ"q!(i!2!!m!(i!IJ"q!(m!I`"q!(i!IJ!m!"J!!*!!F!!!"%!!!$`!,!!m!
  "J!1!$j!!$"!CQ"QB'CJCQ!Q3!!`3!m!!!!2!"q!(i!IJ!m!2m"ri(rJrr$rm2r`
  rr"ri(rJ2m!2!!!N!"`!!!%3!!!2!!d!$`!'!!B!$`!8J"U!%S!DJ"+!'S!0!!B!
! !!!2!"q!(i!IJ!m!$`!IJ$r!2m!r`$r!2m!r`"q!$`!'!!!N!"`!!!%3$)B!!!!!
! &-bib,M%h8Q9MEhCPFL!c,M)Z-5!J)#!S05mj0LN0EQ9dD'&MDbeLG@Gc3'aTEQ-
! ZBfPc,R9`C@jZ,Q9NG3!!!#3$)B!!!!!&-bib,M%A8Q9MEhCPFL!c,M)Z-5!J)#!
! S05mj0LN!!!%!!!!+L!!!#BJ!!!(r!Q*)T"E'!!!!(!(k!!p"6&*8!!%!JN4*9%`
! !!J#D689193!#!,j$99*6!!F!iNP$6L-!!!&#D@0c)`!!!8j#6N4-!!!"@QjS8Q-
! !!!&Q4P*&4J!!!A*fCA*c!!%"IQPME$3!!!'@D@0c0!!!!D*65801!!!"VQePE8)
! !!!'k9%e36!!!!FC%6%p(!!!"dJ#!rrm!!!!Q!!!!!!#"rrm!!!!f!!!!!!#!rrm
! J!!!!!!!!!!#"rrmJ!!90!!!!!!%!rrmJ!!HF!!!!!!##rrm!!!"'!!!!!!#!rrm
! !!!#5!!!!!!#"rrm!!!C(!!!!!!#!rrm8!!$1!!!!!!#"rrm8!!EV!!!!!!##rrm
! 8!!Fc!!!!!!#(rrm8!!H`!!!!!!#&rrm8!!Ii!!!!!!#'rrm8!!K!!!!!!!#%rrm
! 8!!L)!!!!!!#$rrm8!!M3!!!!!!#!rrm!!!'G!!!!!!#!rrm!!!%@!!!!!!#!rrm
! !!!&D!!!!!!!!rrm!!!'&!!!!!!#!rrm!!!&k!!!!!!!"rrm!!!NB!!!!!!!#rrm
! !!!PJ!!!!!!#!rrm!!!+K!!!!!!#!rrm!!!5P!!!!!!#!rrm!!!8T!!!!!!#!rrm
! 8!!D0!!!!!!#!!!!!!!DP!!!!!!%!rrm!!!Gl!!!!!!4YC@e#P9!:
--- 54,70 ----
  $`!IJ"q!(i!2!!m!(i!IJ"q!(m!I`"q!(i!IJ!m!"J!!*!!F!!!"%!!!$`!,!!m!
  "J!1!$j!!$"!CQ"QB'CJCQ!Q3!!`3!m!!!!2!"q!(i!IJ!m!2m"ri(rJrr$rm2r`
  rr"ri(rJ2m!2!!!N!"`!!!%3!!!2!!d!$`!'!!B!$`!8J"U!%S!DJ"+!'S!0!!B!
! !!!2!"q!(i!IJ!m!$`!IJ$r!2m!r`$r!2m!r`"q!$`!'!!!N!"`!!!$S$)S!!!!!
! &-bib,M)Y8Q9MEhCPFL!c,M)Z-JeZCA4SB@0V,@*eCh0!E'PZBbjMDA-ZGA"PEQi
! ZC@4e!!!!'J-LJ!!!!!8c,M)Z-Je5C@0[GQ9b)$-Z-Lib!!!"!!!!#R3!!!Pd!!!
! "r`(i$,36eJ!!!"`"qJ!238a59!!"!)*%594-!!)!QNe&6P8!!J#q3e958`!(!1*
! *3diM!!!"3QPMFb-!!!&13Nj%6!!!!9TZD&*M!!!"CNC548B!!!&bGQ9bF`!"!Aj
! TBf`d!!!"PQPMFc3!!!'L8dP$6J!!!DjYC@e#!!!"ZP408%`!!!('4%a24`!!!G)
! !J2rr!!!!*J!!!!!!JIrr!!!!0J!!!!!!J2rr)!!!!!!!!!!!JIrr)!!&63!!!!!
! "!2rr)!!(R!!!!!!!J[rr!!!!4J!!!!!!J2rr!!!!NJ!!!!!!JIrr!!!'4`!!!!!
! !J2rr&!!!cJ!!!!!!JIrr&!!'k`!!!!!!J[rr&!!(-`!!!!!!Krrr&!!(X!!!!!!
! !KIrr&!!(q!!!!!!!K[rr&!!)3!!!!!!!K2rr&!!)L!!!!!!!Jrrr&!!)d!!!!!!
! !J2rr!!!"R3!!!!!!J2rr!!!"&J!!!!!!J2rr!!!"@J!!!!!!!2rr!!!"K3!!!!!
! !J2rr!!!"HJ!!!!!!!Irr!!!*'!!!!!!!![rr!!!*9J!!!!!!J2rr!!!#S3!!!!!
! !J2rr!!!%T3!!!!!!J2rr!!!&+3!!!!!!J2rr&!!'M3!!!!!!J!!!!!!'T3!!!!!
! "!2rr!!!(H`!!!!!%E@9Y3Z$r:
*** ./sys/mac/NHrsrc.hqx.ORIG	Thu May 23 15:17:14 1996
--- sys/mac/NHrsrc.hqx	Tue Jan  7 12:06:15 1997
***************
*** 2,9 ****
  
  :$%jPG%KKBfXZFR0bB`"58e*$4'peC`!!!!!!!!!!AUc$AJ!!!!!"!!!!9`%!!&B
  "!!!(U`!!!!!0!"!!,3!`S!)!U!!!!!!!&J!i!#F!iBJB8h4[$%jPG%KKBfXZFR0
! bBfX#!!)!8P053d4[G@F"!!"S!8!#!&*68N0%Eh9R!3!!D!&!!!!!!!!!!!!!!!!
! !!!!!!!!!VC2TZ!!!!!!!!&kX!!$)!6!!!3!!!!!!!!!!#lN!!!!!&3!!!!!!jJ&
  F!!%!!!!!!!!!!!Zi!!!!!"8!8!"Z!2S"Z!!"!!!!!!!!!!!(e!!!!!!9!&!!EJ$
  k!EJ!!3!!!!!!!!!!"p-!!!!!&3"3!'i!qJ'i!!%!!!!!!!!!!!I5!!!!!"8!8!"
  Z!2S"Z!!!!"`"#!!)!8S!m!!!!!!!!!!!!!!(6@9cFf&RC6J+!!!!(!%Z!!3"8J(
--- 2,9 ----
  
  :$%jPG%KKBfXZFR0bB`"58e*$4'peC`!!!!!!!!!!AUc$AJ!!!!!"!!!!9`%!!&B
  "!!!(U`!!!!!0!"!!,3!`S!)!U!!!!!!!&J!i!#F!iBJB8h4[$%jPG%KKBfXZFR0
! bBf%#!!!!8P053d4[G@F"!!$3!3!!!&*68N0%Eh9R!3!!d!%!!!!!!!!!!!!!!!!
! !!!!!!!!!VZQiKJ!!!!!!!&kX!!$)!6!!!3!!!!!!!!!!#lN!!!!!&3!!!!!!jJ&
  F!!%!!!!!!!!!!!Zi!!!!!"8!8!"Z!2S"Z!!"!!!!!!!!!!!(e!!!!!!9!&!!EJ$
  k!EJ!!3!!!!!!!!!!"p-!!!!!&3"3!'i!qJ'i!!%!!!!!!!!!!!I5!!!!!"8!8!"
  Z!2S"Z!!!!"`"#!!)!8S!m!!!!!!!!!!!!!!(6@9cFf&RC6J+!!!!(!%Z!!3"8J(
***************
*** 463,472 ****
  !!&d!A3"a!*N%!ePPF`!!!!!!!!S!6`"3!91)!Pi`!!!!!!!+!"B!+J!fS!)!!!!
  !!!i!4!"%!,)"e3#!4%3`#J!!!!i!5J"U!0-"ea1)!!3`#J!!!%!!%!&c!@-"E`&
  K"`5PBh4X,@3#T5d()h9ZG(*KF!BMCQpbBf8&)fa[Eh3#T5d"433MC'P`"#0cDA3
! #T5d"2!%q!!!!&"01CA4)B@0V)&"bC@CPFQ9ZBf9c!!!!+`-KJ!!!!!8c,M)Z-4i
! c,M)Z-5#T-6Ni05da16Nf)%dZ)&0dCA"SC@jcEfi!!!!V!b'!!!!!"6-Z-Lia(P0
! dD@0SG'PZCb"0BA4SC@eKG'PcBfJJ3f9ZG(*eE3!!!3!!!&F"!!"@!3!!"kX"eHT
! %'i`!!!!F"PS!&&G*6N3!"`#U9%e36!!"!3T1G@e`!!%")N&-8P3!!`%k4%P86!!
  +!@T69&)M!"%"lQPMFc3!"!,'D@0c)`!%!`**3diM!!3$2QPME$3!"!0k4%a24`!
  '!lC'6dj8!!-%#NC26N3!!33k3e958`!)"&*ZD$-a!!!%[NC548B!"!6+3Nj%6!!
  !"3C048j9!"-&%Ne195-!!3B#GQ9bF`!""KT69&)J!!!'-J#!!#d!!!"i!!!!!!#
--- 463,472 ----
  !!&d!A3"a!*N%!ePPF`!!!!!!!!S!6`"3!91)!Pi`!!!!!!!+!"B!+J!fS!)!!!!
  !!!i!4!"%!,)"e3#!4%3`#J!!!!i!5J"U!0-"ea1)!!3`#J!!!%!!%!&c!@-"E`&
  K"`5PBh4X,@3#T5d()h9ZG(*KF!BMCQpbBf8&)fa[Eh3#T5d"433MC'P`"#0cDA3
! #T5d"2!%q!!!!&"01CA4)B@0V)&"bC@CPFQ9ZBf9c!!!!+`-LJ!!!!!8c,M)Z-Ki
! c,M)Z-L#T-6Ni05da16Nf)%dZ)&0dCA"SC@jcEfi!!!!V!b+!!!!!"6-Z-Lib(P0
! dD@0SG'PZCb"0BA4SC@eKG'PcBfJJ3f9ZG(*eE3!!!3!!!&F"!!"@!3!!"kX"q!b
! d%pB!!!!F"PS!&&G*6N3!"`#U9%e36!!"!3T1G@e`!!%")N&-8P3!!`%k4%P86!!
  +!@T69&)M!"%"lQPMFc3!"!,'D@0c)`!%!`**3diM!!3$2QPME$3!"!0k4%a24`!
  '!lC'6dj8!!-%#NC26N3!!33k3e958`!)"&*ZD$-a!!!%[NC548B!"!6+3Nj%6!!
  !"3C048j9!"-&%Ne195-!!3B#GQ9bF`!""KT69&)J!!!'-J#!!#d!!!"i!!!!!!#
***************
*** 506,509 ****
  RF`T89&NJ9fPZC'ph"fePER9LBA)(Fh9LE@9ZG30,BQ3%5'9XF!4*EQC["89aG@P
  `!d&MG!90B@GTB`4#DA4c$'0[ER4bEf`JDf9jF`Y`G@jMG(9KG'P[EJKLFQ&MDf9
  dF`9K)#dJE39Z)#dJHJ9")#dJ6391)#dJ@J8`)#dJ13ChDATKFQ3(Bh9bFQ9ZG!4
! 06P8M"90dBA*d$P"bC@BJ4QPXC5"1B@ePI(8:
--- 506,509 ----
  RF`T89&NJ9fPZC'ph"fePER9LBA)(Fh9LE@9ZG30,BQ3%5'9XF!4*EQC["89aG@P
  `!d&MG!90B@GTB`4#DA4c$'0[ER4bEf`JDf9jF`Y`G@jMG(9KG'P[EJKLFQ&MDf9
  dF`9K)#dJE39Z)#dJHJ9")#dJ6391)#dJ@J8`)#dJ13ChDATKFQ3(Bh9bFQ9ZG!4
! 06P8M"90dBA*d$P"bC@BJ4QPXC5"1B@ePcG):
